Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount
Class DiscountException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.bea.commerce.ebusiness.discount.DiscountException

Direct Known Subclasses:
  AssociationAlreadyExistsException, AssociationCreationException, AssociationDeleteException, AssociationException, AssociationNotFoundException, DiscountInUseException, DiscountNotFoundException, DiscountParsingException, InvalidAssociationException, UseCountLimitException

public class DiscountException
extends ApplicationException

The base class for all application exceptions that will be throw by the `discount` package.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `MESSAGE_NAMESPACE` The name of the resource bundle.

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`DiscountException(java.lang.String messageKey)` Class constructor taking key of the associated catalog message.
`DiscountException(java.lang.String messageKey, java.lang.Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`DiscountException(java.lang.String messageKey, java.lang.Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`DiscountException(java.lang.String messageKey, java.lang.Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`DiscountException(java.lang.String messageKey, java.lang.Object argument, java.lang.Exception exception)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final java.lang.String MESSAGE_NAMESPACE

  The name of the resource bundle.

Constructor Detail

### DiscountException

    public DiscountException(java.lang.String messageKey)

  Class constructor taking key of the associated catalog message.

  Parameters:
    `messageKey` - The associated catalog message key.

### DiscountException

    public DiscountException(java.lang.String messageKey,
                             java.lang.Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters:
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### DiscountException

    public DiscountException(java.lang.String messageKey,
                             java.lang.Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### DiscountException

    public DiscountException(java.lang.String messageKey,
                             java.lang.Object argument,
                             java.lang.Exception exception)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception associated with this exception.

### DiscountException

    public DiscountException(java.lang.String messageKey,
                             java.lang.Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters:
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved